#!/usr/bin/perl
# edit_advanced.cgi
# Display advanced configuration options
# ==========================================
#
# 07-01-05 Added: Spam Score Number Format
#          Added: MailScanner Version
#          Added: Run In Foreground
#          Added: Custom Functions Dir
#          Fixed: Options were not displaying correctly (radio buttons)

require './mailscanner-lib.pl';
&header($text{'advanced_title'}, "");
print "<hr>\n";
@conf = &get_mailscanner_config();
$page = "edit_advanced.cgi";

print "<form action=save_advanced.cgi>\n";
print "<table border>\n";
print "<tr $tb> <td><b>$text{'advanced_header'}</b></td> </tr>\n";
print "<tr $cb> <td><table width=100%>\n";

$userules = &find("Use Default Rules With Multiple Recipients", \@conf);
print "<tr> <td>";
print &hlink("<b>$text{'advanced_userules'}</b>","advanced");
print "</td>\n";
printf "<td><input type=radio name=userules value=1 %s> %s\n",
	$userules->{'value'} eq 'yes' ? "checked" : "", $text{'yes'};
printf "<input type=radio name=userules value=0 %s> %s</td> </tr>\n",
	$userules->{'value'} eq 'yes' ? "" : "checked", $text{'no'};

$numform = &find("Spam Score Number Format", \@conf);
print "<tr> <td>";
print &hlink("<b>$text{'advanced_numform'}</b>","advanced#numform");
print "</td>\n";
printf "<td><input type=radio name=numform_def value=1 %s> %s\n",
        $numform ? "" : "checked", $text{'default'};
printf "<input type=radio name=numform_def value=0 %s>\n",
        $numform ? "checked" : "";
printf "<input name=numform size=20 value='%s'> </td> </tr>\n",
        $numform->{'value'};

$verno = &find("MailScanner Version Number", \@conf);
print "<tr> <td>";
print &hlink("<b>$text{'advanced_verno'}</b>","advanced#verno");
print "</td>\n";
printf "<td>%s</td> </tr>\n",
        $verno->{'value'};

$advdebug = &find("Debug", \@conf);
print "<tr> <td>";
print &hlink("<b>$text{'advanced_debug'}</b>","advanced#debug");
print "</td>\n";
printf "<td><input type=radio name=advdebug value=1 %s> %s\n",
	$advdebug->{'value'} eq 'yes' ? "checked" : "", $text{'yes'};
printf "<input type=radio name=advdebug value=0 %s> %s</td> </tr>\n",
	$advdebug->{'value'} eq 'yes' ? "" : "checked", $text{'no'};

$advdebugspam = &find("Debug SpamAssassin", \@conf);
print "<tr> <td>";
print &hlink("<b>$text{'advanced_debugspam'}</b>","advanced#spam");
print "</td>\n";
printf "<td><input type=radio name=advdebugspam value=1 %s> %s\n",
        $advdebugspam->{'value'} eq 'yes' ? "checked" : "", $text{'yes'};
printf "<input type=radio name=advdebugspam value=0 %s> %s</td> </tr>\n",
        $advdebugspam->{'value'} eq 'yes' ? "" : "checked", $text{'no'};

$foregrnd = &find("Run In Foreground", \@conf);
print "<tr> <td>";
print &hlink("<b>$text{'advanced_foreground'}</b>","advanced#foreground");
print "</td>\n";
printf "<td><input type=radio name=foregrnd value=1 %s> %s\n",
        $foregrnd->{'value'} eq 'yes' ? "checked" : "", $text{'yes'};
printf "<input type=radio name=foregrnd value=0 %s> %s</td> </tr>\n",
        $foregrnd->{'value'} eq 'yes' ? "" : "checked", $text{'no'};

$lookup = &find("Always Looked Up Last", \@conf);
print "<tr> <td>";
print &hlink("<b>$text{'advanced_lookup'}</b>","advanced#looked");
print "</td>\n";
printf "<td><input type=radio name=lookedup_def value=1 %s> %s\n",
        $lookup ? "" : "checked", $text{'default'};
printf "<input type=radio name=lookedup_def value=0 %s>\n",
        $lookup ? "checked" : "";
printf "<input name=lookup size=50 value='%s'> </td> </tr>\n",
        $lookup->{'value'};

$bckgrnd = &find("Deliver In Background", \@conf);
print "<tr> <td>";
print &hlink("<b>$text{'advanced_background'}</b>","advanced#background");
print "</td>\n";
printf "<td><input type=radio name=bckgrnd value=1 %s> %s\n",
        $bckgrnd->{'value'} eq 'yes' ? "checked" : "", $text{'yes'};
printf "<input type=radio name=bckgrnd value=0 %s> %s</td> </tr>\n",
        $bckgrnd->{'value'} eq 'yes' ? "" : "checked", $text{'no'};

$dlvr = &find("Delivery Method", \@conf);
print "<tr> <td>";
print &hlink("<b>$text{'advanced_deliver'}</b>","advanced#deliver");
print "</td>\n";
printf "<td><input type=radio name=dlvr_def value=1 %s> Batch\n",
	$dlvr->{'value'} eq 'batch' ? "checked" : "";
printf "<input type=radio name=dlvr_def value=0 %s> Queue\n",
	$dlvr->{'value'} eq 'queue' ? "checked" : "";
printf "<input type=radio name=dlvr_def value=2 %s> ruleset\n",
	$dlvr->{'value'} ne "batch" && $dlvr->{'value'} ne "queue" ? "checked" : "";
printf "<input name=dlvr size=33 value='%s'>%s\n",
	$dlvr->{'value'} ne "batch" && $dlvr->{'value'} ne "queue" ? $dlvr->{'value'} : "", , &file_chooser_button("dlvr");
if ($dlvr->{'value'} ne "batch" && $dlvr->{'value'} ne "queue") {
	printf "<a href='edit_manual.cgi?hdr=%s&refer=$page'><b>Edit</b></a>\n", $dlvr->{'value'};
}
print "</td> </tr>\n";

$exim = &find("Split Exim Spool", \@conf);
print "<tr> <td>";
print &hlink("<b>$text{'advanced_exim'}</b>","advanced#exim");
print "</td>\n";
printf "<td><input type=radio name=exim_def value=1 %s> %s\n",
	$exim ? "checked" : "", $text{'yes'};
printf "<input type=radio name=exim_def value=0 %s> %s</td> </tr>\n",
	$exim ? "" : "checked",  $text{'no'};

$lockfile = &find("Lockfile Dir", \@conf);
print "<tr> <td>";
print &hlink("<b>$text{'advanced_lockfile'}</b>","advanced#lockfile");
print "</td>\n";
printf "<td><input type=radio name=lockfile_def value=1 %s> %s\n",
	$lockfile ? "" : "checked", $text{'default'};
printf "<input type=radio name=lockfile_def value=0 %s>\n",
	$lockfile ? "checked" : "";
printf "<input name=lockfile size=50 value='%s'> </td> </tr>\n",
	$lockfile->{'value'};

$custdir = &find("Custom Functions Dir", \@conf);
print "<tr> <td>";
print &hlink("<b>$text{'advanced_custdir'}</b>","advanced#custdir");
print "</td>\n";
printf "<td><input type=radio name=custdir_def value=1 %s> %s\n",
        $custdir ? "" : "checked", $text{'default'};
printf "<input type=radio name=custdir_def value=0 %s>\n",
        $custdir ? "checked" : "";
printf "<input name=custdir size=50 value='%s'> </td> </tr>\n",
        $custdir->{'value'};


$locktype = &find("Lock Type", \@conf);
print "<tr> <td>";
print & hlink("<b>$text{'advanced_locktype'}</b>","advanced#locktype");
print "</td>\n";
printf "<td><input type=radio name=locktype_def value=1 %s> %s\n",
	$locktype ? "" : "checked", $text{'default'};
printf "<input type=radio name=locktype_def value=0 %s>\n",
	$locktype ? "checked" : "";
printf "<input name=locktype size=50 value='%s'> </td> </tr>\n",
	$locktype->{'value'};

$status = &find("Minimum Code Status", \@conf);
print "<tr> <td>";
print &hlink("<b>$text{'advanced_status'}</b>","advanced#status");
print "</td>\n";
printf "<td><input type=radio name=status_def value=1 %s> %s\n",
	$status ? "" : "checked", $text{'default'};
printf "<input type=radio name=status_def value=0 %s>\n",
	$status ? "checked" : "";
printf "<input name=status size=50 value='%s'>  </td> </tr>\n",
	$status->{'value'};

print "</table></td></tr></table>\n";
print "<input type=submit value='$text{'save'}'></form>\n";

print "<hr>\n";
&footer("", $text{'index_return'});

