#!/usr/bin/perl
# index.cgi
# Display a table of icons for mailscanner options
# =======================================================
#
# 18-01-05:  Updated for 1.1 BETA missing MCP options
# 20-01-05:  Updated version to 1.1-2 to include bug fixes
# 20-01-05:  Updated version to 1.1-3 to include bug fixes
# 02-02-05:  Updated version to 1.1-4 to include bug fixes and updates for 4.38.9-1
#

require './mailscanner-lib.pl';
&ReadParse();

if (!&has_command($config{'mailscanner_path'})) {
        &header($text{'index_title'}, "", undef, 1, 1, 0,
        &help_search_link("mailscanner", "doc", "man", "google"));
	print "<hr>\n";
	print "<p>",&text('index_emailscanner', "<tt>$config{'mailscanner'}</tt>",
		  "$gconfig{'webprefix'}/config.cgi?$module_name"),"<p>\n";
	print "<hr>\n";
	&footer("/", $text{'index'});
	exit;
	}

&header($text{'index_title'}, "", undef, 1, 1, undef,
	&help_search_link("mailscanner", "man", "doc", "google"), undef, undef,
	undef);
print "<hr>\n";

print "<a href=\"http://www.mailscanner.info\"><center><img src=\"./images/mailscanner_trans.gif\" width=\"306\" height=\"47\" border=\"0\"></center></a><br>\n";


if (!-r $config{'mailscanner_config'}) {
	print "<p>",&text('index_econfig',
		"$gconfig{'webprefix'}/config.cgi?$module_name"),"<p>\n";
	print "<hr>\n";
	&footer("/", $text{'index'});
	exit;
	}

# Show configuration icons
@icons = ( "images/setting.gif", "images/files.gif","images/files.gif","images/processing.gif", "images/scanning.gif",
           "images/sophos.gif", "images/clamav.gif", 
           "images/content.gif", "images/attachment.gif", "images/report.gif",
           "images/header.gif",  "images/subject.gif" , "images/messages.gif",
           "images/archive.gif", "images/notices.gif", "images/notify.gif", "images/scanners.gif",
           "images/blocklists.gif", "images/spamassassin.gif", "images/spam.gif",
           "images/logging.gif", "images/advanced.gif", "images/selectrule.gif");
@links = ( "edit_settings.cgi", "edit_workdir.cgi", "edit_quararch.cgi", "edit_processing.cgi", "edit_scanning.cgi",
           "edit_sophos.cgi", "edit_clamav.cgi",
	   "edit_content.cgi", "edit_attachment.cgi", "edit_report.cgi", 
           "edit_header.cgi", "edit_subject.cgi", "edit_message.cgi",
           "edit_archive.cgi", "edit_notices.cgi", "edit_notify.cgi","edit_scanners.cgi",
           "edit_blocklists.cgi", "edit_spamassassin.cgi", "edit_spam.cgi",
           "edit_logging.cgi", "edit_advanced.cgi", "edit_manual.cgi?hdr=$config{'mailscanner_config'}" );
@titles = ( $text{'setting_title'}, $text{'workdir_title'}, $text{'quararch_title'}, $text{'processing_title'}, $text{'scanning_title'},
            $text{'sophos_title'}, $text{'clamav_title'}, 
	    $text{'content_title'}, $text{'attachment_title'}, $text{'report_title'},
            $text{'header_title'},  $text{'subject_title'}, $text{'message_title'},
            $text{'archive_title'}, $text{'notices_title'}, $text{'notify_title'}, $text{'scanners_title'},
            $text{'blocklists_title'}, $text{'spamassassin_title'}, $text{'spam_title'},
            $text{'logging_title'}, $text{'advanced_title'}, $text{'edit_title'} );
&icons_table(\@links, \@titles, \@icons, 4);

print "<hr>\n";

# Check if MailScanner is running
@conf = &get_mailscanner_config();
$pid_file = &find("PID file", \@conf);
#$pidfile = $config{'pidfile'} if (!$pidfile);

if (open(PID, $pid_file->{'value'}) && ($pid = int(<PID>)) && kill(0, $pid)) {
	print "<p><b><center>MailScanner is currently running</center></b></p>\n";
	print "<hr>\n";
}
else {
        print "<p><b><center>MailScanner is not currently running</center></b></p>\n";
	print "<hr>\n";

}

print "<table width=100%><tr>\n";

if (open(PID, $pid_file->{'value'}) && ($pid = int(<PID>)) && kill(0, $pid)) {
	# Running .. offer to apply changes
	print "<form action=apply.cgi>\n";
	print "<input name=pid type=hidden value='$pid'>\n";
	print "<table width=100%><tr>\n";
	print "<td><input type=submit value=\"$text{'index_apply'}\"></td>\n";
	print "<td>$text{'index_applymsg'}</td>\n";
	print "</tr></table></form>\n";
 	
	# Running... Offer to stop the scanner
        print "<form action=stop.cgi>\n";
#	print "<input name=pid type=hidden value='$pid'>\n";
	print "<table width=100%><tr>\n";
	print "<td><input type=submit value=\"$text{'index_stop'}\"></td>\n";
	print "<td>$text{'index_stopmsg'}</td>\n";
	print "</tr></table></form>\n";

	}
else {
	# Not running .. offer to start
	print "<form action=start.cgi>\n";
	print "<table width=100%><tr>\n";
	print "<td><input type=submit value=\"$text{'index_start'}\"></td>\n";
	print "<td>$text{'index_startmsg'}</td>\n";
	print "</tr></table></form>\n";
	}
close(PID);

# Display backup option
print "<form action=backup.cgi>\n";
print "<table width=100%><tr>\n";
print "<td><input type=submit value=\"$text{'index_backup'}\"></td>\n";
print "<td>$text{'index_backupmsg'}</td>\n";
print "</tr></table></form>\n";

# Display restore option
print "<form action=restore.cgi>\n";
print "<table width=100%><tr>\n";
print "<td><input type=submit value=\"$text{'index_restore'}\"></td>\n";
print "<td>$text{'index_restoremsg'}</td>\n";
print "</tr></table></form>\n";


print "<hr>\n";
print "</tr></table>\n";
print "<p><center>This MailScanner browser was written by <a href=\"mailto:webmin\@lushsoft.dyndns.org\">Richard Lush</a></center><br><center><a href=\"http://sourceforge.net/projects/msfrontend\">MailScanner Webmin Module Homepage</center></a></p>\n";
print "<center>Version  1.1-4 BETA</center>\n";
print "<center>2nd February 2005</center>\n";
print "<hr>\n";
&footer("/", $text{'index'});

