# mailscanner-lib.pl

do '../web-lib.pl';
&init_config();

$mailscanner_path = &has_command($config{'mailscanner'});
$mailscanner_config_file = "$config{'mailscanner_config'}";

# get_mailscanner_config()
# Returns a list of values from the MailScanner config file

sub get_mailscanner_config
{
local @rv;
local $lnum = -1;
open(CONFIG, $mailscanner_config_file);
while(<CONFIG>) {

     $lnum++;
     #next if /^[\s#]/;

     chomp;
     #s/#.*$//;
     s/^\s+//;
     s/\s+$//;
     next if /^$/;

     undef $origkey;
     undef $key;
     undef $value;
     /^(.*?)\s*=\s*(.*)$/;
     #/^(.*)\s+=\s+(.*)$/;
     ($origkey,$value) = ($1,$2);

     $key = lc($origkey);
     #$key =~ s/[^A-Za-z0-9]//g; # Leave numbers and letters only

     push(@rv, { 'name' => $key,
                       'value' => $value,
                       'line' => $lnum,
                       'index' => scalar(@rv) } );
	}
close(CONFIG);
return @rv;
}

# Thanks to Clemeny Onime for the following code snippett
sub map_my_file {
	#Converts %etc-dir% to a
	#proper directory name
	my $n = shift;
	my $virt = "";
	my $extra = "";

	if ($n =~ /^\%(.+?)\%\/(.+)$/) {
		$virt = "$1";
		$extra = "$2";
	} elsif ($ENV{'QUERY_STRING'} =~ /(hdr|filename|rule)=\%(.+?)\%\/([^\&]+)\&/) {
		#web-lib.pl has a bug at least in version 1.070 that
		#needlessly transforms %(..) to something else
		$virt = "$2";
		$extra = "$3";
	}
	if ($virt !~ /^\s*$/) {
		my @xcf = &get_mailscanner_config();
		my $newvirt = &find("%$virt%", \@xcf);
		if (exists $newvirt->{value}) {
			$n = join('/', $newvirt->{value}, $extra);
		}
	}
	return "$n";
}

# find(name, &config)
sub find
{
local ($c, @rv);
$c = lc($c);
#$c =~ s/[^A-Za-z0-9]//g;
foreach $c (@{$_[1]}) {
	push(@rv, $c) if (lc($c->{'name'}) eq lc($_[0]));
	}
return wantarray ? @rv : $rv[0];
}

# save_mailscanner_config(&config, name, value, [default])
sub save_mailscanner_config
{
local $lref = &read_file_lines($mailscanner_config_file);
local $old = &find($_[1], $_[0]);
if ($old && $_[2]) {
	# Replacing an existing config line
	$lref->[$old->{'line'}] = "$_[1] = $_[2]";
	}
elsif ($old && ($_[2] eq '0') ) {
        # Replacing a line with zero if selected
        $lref->[$old->{'line'}] = "$_[1] = 0";
}
elsif ($old) {
        # Replacing a line with space if selected
	$lref->[$old->{'line'}] = "$_[1] = ";
}
else {
	# Adding a config line
	push(@$lref, "$_[1] = $_[2]");
	}
}

1;

