#!/usr/bin/perl
# save_advanced.cgi
# Save Advanced options
# =================================
#
# 07-01-05 Added: Spam Score Number Format
#          Added: Run In Foreground 
#          Added: Custom Functions Dir

require './mailscanner-lib.pl';
&ReadParse();
&error_setup($text{'save_err'});

# Validate and save inputs
&lock_file($mailscanner_config_file);
@conf = &get_mailscanner_config();

if ($in{'userules'}) {
	&save_mailscanner_config(\@conf, "Use Default Rules With Multiple Recipients", "yes");
	}
else {
	&save_mailscanner_config(\@conf, "Use Default Rules With Multiple Recipients", "no");
	}

if ($in{'numform_def'}) {
        &save_mailscanner_config(\@conf, "Spam Score Number Format", "%d");
        }
else {
        &save_mailscanner_config(\@conf, "Spam Score Number Format", $in{'numform'});
        }



if ($in{'advdebug'}) {
	&save_mailscanner_config(\@conf, "Debug", "yes");
	}
else {
	&save_mailscanner_config(\@conf, "Debug", "no");
	}

if ($in{'advdebugspam'}) {
	&save_mailscanner_config(\@conf, "Debug SpamAssassin", "yes");
	}
else {
	&save_mailscanner_config(\@conf, "Debug SpamAssassin", "no");
	}

if ($in{'foregrnd'}) {
        &save_mailscanner_config(\@conf, "Run In Foreground", "yes");
        }
else {
        &save_mailscanner_config(\@conf, "Run In Foreground", "no");
        }


if ($in{'lookedup_def'}) {
	&save_mailscanner_config(\@conf, "Always Looked Up Last", "no");
	}
else {
	&save_mailscanner_config(\@conf, "Always Looked Up Last", $in{'lookup'});
	}

if ($in{'bckgrnd'}) {
	&save_mailscanner_config(\@conf, "Deliver In Background", "yes");
	}
else {
	&save_mailscanner_config(\@conf, "Deliver In Background", "no");
	}

if ($in{'dlvr_def'} == 1) {
	&save_mailscanner_config(\@conf, "Delivery Method", "batch");
	}
elsif ($in{'dlvr_def'} == 0) {
	&save_mailscanner_config(\@conf, "Delivery Method", "queue");
	}
else {
	&save_mailscanner_config(\@conf, "Delivery Method", $in{'dlvr'});
	}

if ($in{'exim_def'}) {
	&save_mailscanner_config(\@conf, "Split Exim Spool", "yes");
	}
else {
	&save_mailscanner_config(\@conf, "Split Exim Spool", "no");
	}

if ($in{'lockfile_def'}) {
	&save_mailscanner_config(\@conf, "Lockfile Dir", "/tmp");
	}
else {
	&save_mailscanner_config(\@conf, "Lockfile Dir", $in{'lockfile'});
	}

if ($in{'custdir_def'}) {
        &save_mailscanner_config(\@conf, "Custom Functions Dir", "/usr/lib/MailScanner/MailScanner/CustomFunctions");
        }
else {
        &save_mailscanner_config(\@conf, "Custom Functions Dir", $in{'custdir'});
        }

if ($in{'locktype'}) {
	&save_mailscanner_config(\@conf, "Lock Type", "flock");
	}
else {
	&save_mailscanner_config(\@conf, "Lock Type", $in{'locktype'});
	}

if ($in{'status_def'}) {
	&save_mailscanner_config(\@conf, "Minimum Code Status", "supported");
	}
else {
	&save_mailscanner_config(\@conf, "Minimum Code Status", $in{'status'});
	}

&flush_file_lines();
&unlock_file($mailscanner_config_file);
&webmin_log("config");
&redirect("edit_advanced.cgi");

