#!/usr/bin/perl
# save_processing.cgi
# Save processing options
# ===================================
#
# 29-12-04 Added Minimum Archive Size, Maximum Archive Depth, Find Archives By Content
#

require './mailscanner-lib.pl';
&ReadParse();
&error_setup($text{'save_err'});

# Validate and save inputs
&lock_file($mailscanner_config_file);
@conf = &get_mailscanner_config();

if ($in{'maxunscanbytes_def'}) {
	&save_mailscanner_config(\@conf, "Max Unscanned Bytes Per Scan", "100000000");
	}
else {
	&save_mailscanner_config(\@conf, "Max Unscanned Bytes Per Scan", $in{'maxunscanbytes'});
	}

if ($in{'maxunsafebytes_def'}) {
	&save_mailscanner_config(\@conf, "Max Unsafe Bytes Per Scan", "50000000");
	}
else {
	&save_mailscanner_config(\@conf, "Max Unsafe Bytes Per Scan", $in{'maxunsafebytes'});
	}

if ($in{'maxunscanmsg_def'}) {
	&save_mailscanner_config(\@conf, "Max Unscanned Messages Per Scan", "100");
	}
else {
	&save_mailscanner_config(\@conf, "Max Unscanned Messages Per Scan", $in{'maxunscanmsg'});
	}

if ($in{'maxunsafemsg_def'}) {
	&save_mailscanner_config(\@conf, "Max Unsafe Messages Per Scan", "100");
	}
else {
	&save_mailscanner_config(\@conf, "Max Unsafe Messages Per Scan", $in{'maxunsafemsg'});
	}

if ($in{'maxqueuesize_def'}) {
	&save_mailscanner_config(\@conf, "Max Normal Queue Size", "5000");
	}
else {
	&save_mailscanner_config(\@conf, "Max Normal Queue Size", $in{'maxqueuesize'});
	}

if ($in{'maxattachments_def'}) {
	&save_mailscanner_config(\@conf, "Maximum Attachments Per Message", "200");
	}
else {
	&save_mailscanner_config(\@conf, "Maximum Attachments Per Message", $in{'maxattachments'});
	}

if ($in{'expandtnef'}) {
	&save_mailscanner_config(\@conf, "Expand TNEF", "yes");
	}
else {
	&save_mailscanner_config(\@conf, "Expand TNEF", "no");
	}

if ($in{'delivertnef_def'} == 2) {
	&save_mailscanner_config(\@conf, "Deliver Unparsable TNEF", "yes");
	}
elsif ($in{'delivertnef_def'} == 1) {
	&save_mailscanner_config(\@conf, "Deliver Unparsable TNEF", "no");
	}
else {
	&save_mailscanner_config(\@conf, "Deliver Unparsable TNEF", $in{'delivertnef'});
	}

if ($in{'tnefexpanded_def'}) {
	&save_mailscanner_config(\@conf, "TNEF Expander", "/usr/bin/tnef --maxsize=100000000");
	}
else {
	&save_mailscanner_config(\@conf, "TNEF Expander", $in{'tnefexpanded'});
	}

if ($in{'processing_timeout_def'}) {
	&save_mailscanner_config(\@conf, "TNEF Timeout", "120");
	}
else {
	&save_mailscanner_config(\@conf, "TNEF Timeout", $in{'processing_timeout'});
	}

if ($in{'processing_filecommand_def'}) {
        &save_mailscanner_config(\@conf, "File Command", "/usr/bin/file");
        }
else {
        &save_mailscanner_config(\@conf, "File Command", $in{'processing_filecommand'});
        }

if ($in{'msgsize_def'}) {
        &save_mailscanner_config(\@conf, "Maximum Message Size", "0");
        }
else {
        &save_mailscanner_config(\@conf, "Maximum Message Size", $in{'msgsize'});
        }

if ($in{'processing_filetimeout_def'}) {
        &save_mailscanner_config(\@conf, "File Timeout", "20");
        }
else {
        &save_mailscanner_config(\@conf, "File Timeout", $in{'processing_filetimeout'});
        }

if ($in{'maxattachsize_def'}) {
        &save_mailscanner_config(\@conf, "Maximum Attachment Size", "-1");
        }
else {
        &save_mailscanner_config(\@conf, "Maximum Attachment Size", $in{'maxattachsize'});
        }

if ($in{'minattachsize_def'}) {
        &save_mailscanner_config(\@conf, "Minimum Attachment Size", "-1");
        }
else {
        &save_mailscanner_config(\@conf, "Minimum Attachment Size", $in{'minattachsize'});
        }

if ($in{'archdepth_def'}) {
        &save_mailscanner_config(\@conf, "Maximum Archive Depth", "2");
        }
else {
        &save_mailscanner_config(\@conf, "Maximum Archive Depth", $in{'archdepth'});
        }

if ($in{'findarch_def'}) {
        &save_mailscanner_config(\@conf, "Find Archives By Content", "yes");
        }
else {
        &save_mailscanner_config(\@conf, "Find Archives By Content", $in{'findarch'});
        }


&flush_file_lines();
&unlock_file($mailscanner_config_file);
&webmin_log("config");
&redirect("edit_processing.cgi");

