#!/usr/bin/perl
# save_report.cgi
# Save Report and Responses configuration
# =======================================
#
# 29-12-04 Added: Quarantine Silent Viruses
# 04-01-05 Added: Keep Spam and MCP Arhive Clean
# 01-02-05 Fixed: Store Bad Content Message Report now saves

require './mailscanner-lib.pl';
&ReadParse();
&error_setup($text{'save_err'});

# Validate and save inputs
&lock_file($mailscanner_config_file);
@conf = &get_mailscanner_config();

if ($in{'QuarInfects_def'} == 1) {
	&save_mailscanner_config(\@conf, "Quarantine Infections", "yes");
	}
elsif ($in{'QuarInfects_def'} == 0) {
	&save_mailscanner_config(\@conf, "Quarantine Infections", "no");
	}
else {
	&save_mailscanner_config(\@conf, "Quarantine Infections", $in{'QuarInfects'});
}

if ($in{'QuarSilent_def'} == 1) {
        &save_mailscanner_config(\@conf, "Quarantine Silent Viruses", "yes");
        }
elsif ($in{'QuarSilent_def'} == 0) {
        &save_mailscanner_config(\@conf, "Quarantine Silent Viruses", "no");
        }
else {
        &save_mailscanner_config(\@conf, "Quarantine Silent Viruses", $in{'QuarSilent'});
}


if ($in{'QuarWholeMsg_def'} == 1) {
	&save_mailscanner_config(\@conf, "Quarantine Whole Message", "yes");
	}
elsif ($in{'QuarWholeMsg_def'} == 0) {
	&save_mailscanner_config(\@conf, "Quarantine Whole Message", "no");
	}
else {
	&save_mailscanner_config(\@conf, "Quarantine Whole Message", $in{'QuarWhileMsg'});
	}

if ($in{'QuarMsgQ'}) {
	&save_mailscanner_config(\@conf, "Quarantine Whole Messages As Queue Files", "yes");
	}
else {
	&save_mailscanner_config(\@conf, "Quarantine Whole Messages As Queue Files", "no");
	}

if ($in{'keepclean_def'} == 1) {
        &save_mailscanner_config(\@conf, "Keep Spam And MCP Archive Clean", "yes");
        }
elsif ($in{'keepclean_def'} == 0) {
        &save_mailscanner_config(\@conf, "Keep Spam And MCP Archive Clean", "no");
        }
else {
        &save_mailscanner_config(\@conf, "Keep Spam And MCP Archive Clean", $in{'keepclean'});
        }


if ($in{'lang_str'}) {
	&save_mailscanner_config(\@conf, "Language Strings", $in{'lang_str'});
	}

if ($in{'bad_cont_msg_def'}) {
	&save_mailscanner_config(\@conf, "Deleted Bad Content Message Report", "%report-dir%/deleted.content.message.txt");
	}
else {
	&save_mailscanner_config(\@conf, "Deleted Bad Content Message Report", $in{'bad_cont_msg'});
	}

if ($in{'bad_file_msg_def'}) {
	&save_mailscanner_config(\@conf, "Deleted Bad Filename Message Report", "/etc/MailScanner/reports/en/deleted.filename.message.txt");
	}
else {
	&save_mailscanner_config(\@conf, "Deleted Bad Filename Message Report", $in{'bad_file_msg'});
	}

if ($in{'virus_msg_def'}) {
	&save_mailscanner_config(\@conf, "Deleted Virus Message Report", "/etc/MailScanner/reports/en/deleted.virus.message.txt");
	}
else {
	&save_mailscanner_config(\@conf, "Deleted Virus Message Report", $in{'virus_msg'});
	}

if ($in{'stor_bad_cont_def'}) {
	&save_mailscanner_config(\@conf, "Stored Bad Content Message Report", "%report-dir%/stored.content.message.txt");
	}
else {
	&save_mailscanner_config(\@conf, "Stored Bad Content Message Report", $in{'stor_bad_cont'});
	}

if ($in{'stored_bad_file_def'}) {
	&save_mailscanner_config(\@conf, "Stored Bad Filename Message Report", "/etc/MailScanner/reports/en/stored.filename.message.txt");
	}
else {
	&save_mailscanner_config(\@conf, "Stored Bad Filename Message Report", $in{'stored_bad_file'});
	}

if ($in{'stored_virus_def'}) {
	&save_mailscanner_config(\@conf, "Stored Virus Message Report", "/etc/MailScanner/reports/en/stored.virus.message.txt");
	}
else {
	&save_mailscanner_config(\@conf, "Stored Virus Message Report", $in{'stored_virus'});
	}

if ($in{'disinfected_def'}) {
	&save_mailscanner_config(\@conf, "Disinfected Report", "/etc/MailScanner/reports/en/disinfected.report.txt");
	}
else {
	&save_mailscanner_config(\@conf, "Disinfected Report", $in{'disinfected'});
	}

if ($in{'html_sig_def'}) {
	&save_mailscanner_config(\@conf, "Inline HTML Signature", "/etc/MailScanner/reports/en/inline.sig.html");
	}
else {
	&save_mailscanner_config(\@conf, "Inline HTML Signature", $in{'html_sig'});
	}

if ($in{'text_sig_def'}) {
	&save_mailscanner_config(\@conf, "Inline Text Signature", "/etc/MailScanner/reports/en/inline.sig.txt");
	}
else {
	&save_mailscanner_config(\@conf, "Inline Text Signature", $in{'text_sig'});
	}

if ($in{'html_warning_def'}) {
	&save_mailscanner_config(\@conf, "Inline HTML Warning", "/etc/MailScanner/reports/en/inline.warning.html");
	}
else {
	&save_mailscanner_config(\@conf, "Inline HTML Warning", $in{'html_warning'});
	}

if ($in{'text_warning_def'}) {
	&save_mailscanner_config(\@conf, "Inline TEXT Warning", "/etc/MailScanner/reports/en/inline.warning.txt");
	}
else {
	&save_mailscanner_config(\@conf, "Inline TEXT Warning", $in{'text_warning'});
	}

if ($in{'sender_error_def'}) {
	&save_mailscanner_config(\@conf, "Sender Error Report", "/etc/MailScanner/reports/en/sender.error.report.txt");
	}
else {
	&save_mailscanner_config(\@conf, "Sender Error Report", $in{'sender_error'});
	}

if ($in{'sender_bad_content_def'}) {
	&save_mailscanner_config(\@conf, "Sender Content Report", "%report-dir%/sender.content.report.txt");
	}
else {
	&save_mailscanner_config(\@conf, "Sender Content Report", $in{'sender_bad_content'});
	}

if ($in{'sender_bad_def'}) {
	&save_mailscanner_config(\@conf, "Sender Bad Filename Report", "/etc/MailScanner/reports/en/sender.filename.report.txt");
	}
else {
	&save_mailscanner_config(\@conf, "Sender Bad Filename Report", $in{'sender_bad'});
	}

if ($in{'sender_virus_def'}) {
	&save_mailscanner_config(\@conf, "Sender Virus Report", "/etc/MailScanner/reports/en/sender.virus.report.txt");
	}
else {
	&save_mailscanner_config(\@conf, "Sender Virus Report", $in{'sender_virus'});
	}

if ($in{'hide_incoming_def'} == 1) {
	&save_mailscanner_config(\@conf, "Hide Incoming Work Dir", "yes");
	}
elsif ($in{'hide_incoming_def'} == 0) {
	&save_mailscanner_config(\@conf, "Hide Incoming Work Dir", "no");
	}
else {
	&save_mailscanner_config(\@conf, "Hide Incoming Work Dir", $in{'hide_incoming'});
	}

if ($in{'include_scanner'}) {
	&save_mailscanner_config(\@conf, "Include Scanner Name In Reports", "yes");
	}
else {
	&save_mailscanner_config(\@conf, "Include Scanner Name In Reports", "no");
	}

&flush_file_lines();
&unlock_file($mailscanner_config_file);
&webmin_log("config");
&redirect("edit_report.cgi");

