#!/usr/bin/perl
# save_spamassassin.cgi
# Save SpamAssassin options
# ==============================
#
# 07-01-05 Added: 	SpamAssassin Timeouts History
#          Removed: 	Always include SpamAssassin Report
# 02-02-05 Added:	SpamAssassin Site Rules Dir
#

require './mailscanner-lib.pl';
&ReadParse();
&error_setup($text{'save_err'});

# Validate and save inputs
&lock_file($mailscanner_config_file);
@conf = &get_mailscanner_config();

if ($in{'use_def'} == 1) {
	&save_mailscanner_config(\@conf, "Use SpamAssassin", "yes");
	}
elsif ($in{'use_def'} == 0) {
	&save_mailscanner_config(\@conf, "Use SpamAssassin", "no");
	}
else {
	&save_mailscanner_config(\@conf, "Use SpamAssassin", $in{'use'});
	}

if ($in{'size_def'}) {
	&save_mailscanner_config(\@conf, "Max SpamAssassin Size", "50000");
	}
else {
	&save_mailscanner_config(\@conf, "Max SpamAssassin Size", $in{'size'});
	}

if ($in{'req_score_def'} == 1) {
	&save_mailscanner_config(\@conf, "Required SpamAssassin Score", "5");
	}
else {
	&save_mailscanner_config(\@conf, "Required SpamAssassin Score", $in{'req_score'});
	}

if ($in{'high_score_def'} ==1) {
	&save_mailscanner_config(\@conf, "High SpamAssassin Score", "20");
	}
else {
	&save_mailscanner_config(\@conf, "High SpamAssassin Score", $in{'high_score'});
	}

if ($in{'auto'}) {
	&save_mailscanner_config(\@conf, "SpamAssassin Auto Whitelist", "yes");
	}
else {
	&save_mailscanner_config(\@conf, "SpamAssassin Auto Whitelist", "no");
	}

if ($in{'prefs_def'}) {
	&save_mailscanner_config(\@conf, "SpamAssassin Prefs File", "/etc/MailScanner/spam.assassin.prefs.conf");
	}
else {
	&save_mailscanner_config(\@conf, "SpamAssassin Prefs File", $in{'prefs'});
	}

if ($in{'timeout_def'}) {
	&save_mailscanner_config(\@conf, "SpamAssassin Timeout", "30");
	}
else {
	&save_mailscanner_config(\@conf, "SpamAssassin Timeout",$in{'timeout'});
	}

if ($in{'max_timeout_def'}) {
	&save_mailscanner_config(\@conf, "Max SpamAssassin Timeouts", "20");
	}
else {
	&save_mailscanner_config(\@conf, "Max SpamAssassin Timeouts", $in{'max_timeout'});
	}

if ($in{'timeout_hist_def'}) {
        &save_mailscanner_config(\@conf, "SpamAssassin Timeouts History", "30");
        }
else {
        &save_mailscanner_config(\@conf, "SpamAssassin Timeouts History", $in{'timeout_hist'});
        }


if ($in{'check_def'} == 1) {
	&save_mailscanner_config(\@conf, "Check SpamAssassin If On Spam List", "yes");
	}
elsif ($in{'check_def'} == 0) {
	&save_mailscanner_config(\@conf, "Check SpamAssassin If On Spam List", "no");
	}
else {
	&save_mailscanner_config(\@conf, "Check SpamAssassin If On Spam List", $in{'check'});
	}

if ($in{'spam_score_def'} == 1) {
	&save_mailscanner_config(\@conf, "Spam Score", "yes");
	}
elsif ($in{'spam_score_def'} == 0) {
	&save_mailscanner_config(\@conf, "Spam Score", "no");
	}
else {
	&save_mailscanner_config(\@conf, "Spam Score", $in{'spam_score'});	
	}

if ($in{'rebuild_bayes_def'}) {
        &save_mailscanner_config(\@conf, "Rebuild Bayes Every", "0");
        }
else {
        &save_mailscanner_config(\@conf, "Rebuild Bayes Every", $in{'rebuild_bayes'});
        }

if ($in{'wait_rebuild'}) {
        &save_mailscanner_config(\@conf, "Wait During Bayes Rebuild", "yes");        }
else {
        &save_mailscanner_config(\@conf, "Wait During Bayes Rebuild", "no");
        }

if ($in{'user_state_def'}) {
	&save_mailscanner_config(\@conf, "SpamAssassin User State Dir", " ");
	}
else {
	&save_mailscanner_config(\@conf, "SpamAssassin User State Dir", $in{'user_state'});
	}

if ($in{'install_prefix_def'}) {
	&save_mailscanner_config(\@conf, "SpamAssassin Install Prefix", " ");
	}
else {
	&save_mailscanner_config(\@conf, "SpamAssassin Install Prefix", $in{'install_prefix'});
	}

if ($in{'site_dir_def'}) {
        &save_mailscanner_config(\@conf, "SpamAssassin Site Rules Dir", "/etc/mail/spamassassin");
        }
else {
        &save_mailscanner_config(\@conf, "SpamAssassin Site Rules Dir", $in{'site_dir'});
        }


if ($in{'local_rules_def'}) {
	&save_mailscanner_config(\@conf, "SpamAssassin Local Rules Dir", " ");
	}
else {
	&save_mailscanner_config(\@conf, "SpamAssassin Local Rules Dir", $in{'local_rules'});
	}

if ($in{'default_rules_def'}) {
	&save_mailscanner_config(\@conf, "SpamAssassin Default Rules Dir", " ");
	}
else {
	&save_mailscanner_config(\@conf, "SpamAssassin Default Rules Dir", $in{'default_rules'});
	}

&flush_file_lines();
&unlock_file($mailscanner_config_file);
&webmin_log("config");
&redirect("edit_spamassassin.cgi");

